/* style.css - Open Source CSS file for the project
 * License: MIT
 * This CSS file is part of an open-source project aimed at improving web accessibility and user experience.
 * Contributors are welcome to enhance the project by submitting pull requests or suggesting improvements.
 * Please ensure to maintain the coding standards and comment on any new changes for better collaboration.
 */

/* Add scroll padding to account for fixed header */
html {
  scroll-padding-top: 120px;
}

:root {
  /* Color scheme variables */
  --primary-color: #fe9702; /* Bright orange for primary actions and highlights */
  --secondary-color: #e66714; /* Darker shade of orange for secondary elements */
  --text-color: white; /* Default text color for contrast and readability */
  --hover-background-color: black; /* Background color for hover states */
  --hover-text-color: white; /* Text color on hover for readability */
  --footer-background-color: black; /* Background color for the footer */
  --footer-hover-text-color: black; /* Hover text color in footer links */
  --menu-background-color: black; /* Background color for the menu */

  /* Font family variables */
  --font-primary: "Roboto Flex", sans-serif; /* Primary font for body text */
  --font-secondary: "Ubuntu", sans-serif; /* Secondary font for headings and accents */
  --font-para: "Roboto Flex Para", sans-serif; /* paragraph font */

  /* Box shadow variable for consistent shadows across elements */
  --box-shadow: 0 10px 10px rgba(0, 0, 0, 0.7);

  /* Border radius variable for consistent rounding of elements */
  --border-radius: 20px;
}

/* Custom font face declarations */
@font-face {
  font-family: "Ubuntu";
  src: url("fonts/ubuntu-bold.woff2") format("woff2");
  font-weight: bold;
  font-display: swap; /* Fallback strategy for font loading */
}

@font-face {
  font-family: "Roboto Flex";
  src: url("fonts/roboto-flex-v8-variable.woff2") format("woff2");
  font-display: swap; /* Fallback strategy for font loading */
}

/* Universal base styles */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box; /* Ensures consistent sizing across elements */
}

body {
  font-family: var(--font-primary);
}



.container {
  display: flex;
  flex-direction: column;
  width: 100%;
  max-width: 2040px;
  margin: 0 auto;
  overflow: hidden;
  position: relative;
}

/* Navigation bar styles */

.nav-container {
  position: fixed;
  top: 0;
  height: 100px;
  z-index: 10;
  width: 100%;
  max-width: 2040px; /* Adjust this value as needed */
}

nav {
  display: flex;
  align-items: center;
  justify-content: space-between; /* Distribute space between elements */
  background-image: linear-gradient(
    var(--primary-color),
    var(--secondary-color)
  );
  box-shadow: var(--box-shadow);
  height: 100px;
}

nav a:hover {
  background-color: black;
  height: 100px;
}

nav span a {
  text-decoration: none;
  color: white;
  font-size: 16px;
  height: 80px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 30px;
  font-weight: 700;
}

.desk {
  height: 80px;
  display: flex;
  align-items: center;
  justify-content: flex-end; /* Align items to the right */
  gap: 30px;
  width: 100%;
}

.paragraph {
  color: #242424;
  padding: 20px 100px;
  width: 100%;
  display: flex;
  align-items: center;
  flex-direction: column;
}

h1 {
  width: 100%;
  max-width: 580px;
  font-size: 48px;
  letter-spacing: wider;
  margin: 30px 0;
}

h2 {
  display: flex;
  font-size: 36px;
  letter-spacing: normal;
  margin: 30px 0;
  max-width: 580px;
}

h1,
h2 {
  color: #242424;
  font-family: var(--font-secondary);
}

.paragraph p {
  letter-spacing: normal;
  line-height: 1.5;
  margin: 20px 0;
  font-size: 21px;
  font-weight: 400;
  max-width: 590px;
}

/* Coinos guide specific styling */
.paragraph ol {
  font-family: var(--font-primary);
  letter-spacing: normal;
  line-height: 1.5;
  font-size: 21px;
  font-weight: 400;
  max-width: 590px;
  margin-left: 20px;
}

.paragraph ol p,
.paragraph ol ul {
  margin: 10px 0;
  font-size: 21px;
}

.paragraph ol ul {
  margin-left: 20px;
}

.paragraph ol strong {
  font-weight: 600;
}

.paragraph h1:first-child {
  margin-top: 0;
}

/* Table of contents styles */
.inhoudsopgave {
  background: #f8f9fa;
  padding: 20px 30px;
  border-radius: 10px;
  margin: 20px 0;
  max-width: 590px;
  width: 100%;
}

.inhoudsopgave ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

.inhoudsopgave li {
  margin: 10px 0;
}

.inhoudsopgave a {
  color: #242424;
  text-decoration: none;
}

.inhoudsopgave a:hover {
  color: var(--primary-color);
}

/* Footer styles */
footer {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  min-height: 150px;
  position: relative;
  bottom: 0;
  background-image: linear-gradient(
    var(--primary-color),
    var(--secondary-color)
  );
  color: var(--text-color);
  padding-top: 1px;
  z-index: 0;
}

/* Additional class and element styles */
.close {
  display: flex;
  position: absolute;
}

.close svg {
  display: flex;
  position: absolute;
  top: 30px;
  right: 20px;
}

.close svg:hover {
  background-color: #000;
}

.text {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  list-style: none; /* Removes bullet points from list */
  margin: 20px;
  font-weight: bold;
  gap: 15px; /* Spacing between items */
  text-align: center;
  color: var(--text-color);
}

.text a {
  margin: 0 10px;
  color: var(--text-color);
  text-decoration: none; /* Removes underline from links */
}

.text a:hover {
  color: var(--footer-hover-text-color);
  transition: 0.4s; /* Smooth transition for hover effects */
}

/* Whatsapp button styles */

.whatsapp-button {
  display: flex;
  position: fixed;
  bottom: 20px;
  right: 20px;
  width: 60px;
  height: 60px;
  z-index: 1000;
}

.whatsapp-button img {
  width: 100%;
  height: 100%;
}

/* Additional container and layout styles */

.footer-bottom {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap; /* Allows items to wrap in small screens */
  background-color: var(--footer-background-color);
  width: 100%;
  height: 4vh;
  font-size: 14px;
  word-spacing: 1px; /* Adjusts spacing between words */
  padding: 5px;
  text-align: center;
  z-index: 0;
}

.footer-bottom p {
  font-weight: 200;
  font-size: 12px;
  color: var(--text-color);
}

.footer-bottom a {
  color: var(--text-color);
}

.footer-bottom a:hover {
  color: var(--hover-text-color); /* Maintains the white color on hover */
  transition: 0.4s; /* Smooth transition for hover effects */
}

.list {
  list-style-type: none;
  width: 90%;
  max-width: 700px;
  height: auto;
  padding: 10px 5%;
  margin: 0 auto;
  line-height: 2;
}
.list li {
  width: 90%;
  display: flex;
  align-items: flex-start;
}
.list li span {
  padding-right: 10px;
}

.green-check {
  color: #4ac262;
}

/* Sidebar styles */
.sidebar {
  display: none; /* Initially hidden on larger screens */
  position: fixed;
  top: 0;
  right: 0;
  width: 250px;
  height: 100%;
  background-image: linear-gradient(
    var(--primary-color),
    var(--secondary-color)
  );
  box-shadow: -10px 0 10px rgba(0, 0, 0, 0.1); /* Shadow for depth */
  backdrop-filter: blur(10px); /* Adds blur effect for background */
  z-index: 1;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  text-decoration: none;
  transform: translateX(100%); /* Initially off-screen */
  transition: transform 0.3s ease; /* Smooth transition for sidebar */
}

.sidebar span {
  width: 100%;
}

.sidebar a {
  width: 100%;
  display: flex;
  justify-content: flex-start;
  font-size: 24px;
  font-weight: bolder;
  height: 100px;
  box-sizing: border-box; /* Ensures padding is included in width/height */
}

.rest-menu {
  display: flex;
  flex-direction: column;
  position: relative;
  top: 80px;
}

/* Logo and menu button styles */
.logo {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 10px;
  height: 10vh;
  margin-left: 20px;
  color: var(--text-color);
  text-decoration: none; /* Removes underline from logo link */
}

.logo:hover {
  background-color: transparent; /* Maintains transparent background on hover */
}

.logotext {
  display: flex;
  align-items: center;
  font-size: 50px;
  font-family: var(--font-secondary);
  font-weight: bold;
  font-style: italic;
  color: var(--text-color);
}

.menu-button {
  display: none; /* Initially hidden on larger screens */
  position: absolute;
  right: 0;
  margin-right: 10px;
  color: white;
  height: 150px;
  width: 50px;
  font-size: 24px;
  align-items: center;
}

/* Styles for elements with 'flex' and 'para' classes */
.flex {
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: black;
  text-align: center; /* Centralizes text */
  width: 100%;
}

.para {
  font-weight: 500;
  text-align: center;
  color: black;
}

/* Button styles */
.button {
  display: block;
  margin: auto;
  margin-top: 30px;
  min-width: 200px;
  min-height: 40px;
  max-height: 70vh;
  border-radius: var(--border-radius); /* Applies consistent border radius */
  border: 2px solid transparent; /* Transparent border for a clean look */
  background-image: linear-gradient(
    var(--primary-color),
    var(--secondary-color)
  ); /* Gradient background */
  padding: 10px 20px;
  color: #242424;
  font-size: 16px;
  font-weight: bold;
  text-align: center;
  text-decoration: none;
  width: 150px;
}

.button:hover {
  background-color: var(--hover-background-color);
  color: var(--hover-text-color);
  border-color: var(--primary-color);
  font-weight: bolder; /* Make the button bolder on hover */
}

button span {
  font-weight: bolder;
  font-family: var(
    --font-secondary
  ); /* Applies secondary font to button text */
}

.demo-container {
  min-height: 60px; /* Adjust based on the expected content size */
  width: 100%;
}

/* Spacing utility classes */
.space {
  min-height: 70px; /* Adjust based on the expected content size */
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

/* Media queries for responsive design */

@media (max-width: 500px) {
.whatsapp-button {
  width: 50px;
  height: 50px;
  
} 
.whatsapp-button img{
  width: 100%;
  height: 100%;
}
}
  


@media (max-width: 1090px) {
  .hideOnMobile {
    display: none; /* Hides certain elements on mobile devices */
  }

  .menu-button {
    display: flex; /* Shows menu button on smaller screens */
    align-items: center;
    justify-content: center;
    height: 100px;
    font-size: 30px;
  }
}

@media (max-width: 640px) {
  .list {
    font-size: 16px; /* Adjust font size for smaller screens */
  }
}

@media (max-width: 440px) {
  .logotext {
    font-size: 40px;
  }

  .flex img {
    width: 40px;
    height: 40px;
  }
}

@media (max-width: 330px) {
  .logo {
    display: flex;
    align-items: center;
  }

  .flex img {
    width: 25px;
    height: 25px;
  }

  .logotext {
    font-size: 20px;
  }

  .menu-button {
    font-size: 20px;
  }

  .space {
    min-height: 150px;
  }
}

@media (max-width: 400px) {
  .sidebar {
    width: 100%; /* Full width sidebar on very small screens */
  }
}

@media (max-width: 640px) {
  .footer-bottom {
    font-size: 12px; /* Adjusts font size for readability on smaller screens */
    min-height: 50px; /* Adjusts height for consistency */
  }

  .paragraph {
    padding: 20px 30px;
  }

  h1 {
    font-size: 32px;
  }

  h2 {
    font-size: 28px;
  }

  .paragraph p,
  .paragraph ol,
  .paragraph ol p,
  .paragraph ol ul {
    font-size: 16px;
  }

  .description h1 {
    font-size: 32px;
  }

  .paragraph ol {
    margin-left: 15px;
  }

  .paragraph ol ul {
    margin-left: 15px;
  }
}

@media (max-width: 380px) {
  .footer-bottom {
    min-height: 80px; /* Increases height for more content space on smallest screens */
  }
}

/* Ensure the container of the background image has a defined height */
.background-image {
  overflow: hidden;
  height: 800px;
  padding-top: 80px;
}

@media (max-width: 800px) {
  .background-image {
    height: 440px;
  }
}

@media (max-width: 500px) {
  .background-image {
    height: 400px;
  }
}

@media (max-width: 400px) {
  .background-image {
    height: 330px;
  }
}

.background-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* Add a class called "video-container" to create a responsive video container */
.video-container {
  position: relative;
  padding-bottom: 56.25%; /* 16:9 aspect ratio */
  padding-top: 30px;
  height: 0;
  overflow: hidden;
}

/* Style the iframe as a video */
.video-container iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: none;
}

.card-container {
  display: flex;
  gap: 50px;
  margin: 80px 0;
}

.card {
  background: #f1f5f9;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 30px 30px;
  gap: 60px;
  border-radius: 20px;
  text-align: left;
  width: 400px;
  font-size: 23px;
  height: 600px;
  font-weight: bold;
  box-shadow: 10px 10px 5px gainsboro;
  color: black;
  position: relative;
}

.card:last-child {
  border: 8px solid #4ac262;
  background-image: linear-gradient(to right, #e7ebf0, #faedda, #fdedd6);
}

.topic {
  display: flex;
  flex-direction: column;
  align-items: center;
  font-weight: bolder;
  gap: 10px;
  font-size: 25px;
}

.best-value {
  background-color: #4ac262;
  position: absolute;
  top: 0;
  margin-left: 100px;
  margin-top: -25px;
  border-radius: 5px;
  padding: 5px 10px;
}

@media (max-width: 1360px) {
  .card-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 900px) {
  .card-container {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
  }
}

@media (max-width: 480px) {
  .card {
    width: 100%;
  }
}

/* Table Styles */

table {
  width: 100%;
  border-collapse: collapse;
  border-spacing: 0;
  margin-top: 30px;
}

th,
td {
  border-bottom: 1px solid #ddd;
  padding: 15px;
  text-align: center;
}

th {
  font-weight: bold;
}

td {
  background-color: #fff;
  text-align: center;
}

td:first-child,
th:first-child {
  text-align: left;
}

.best-value {
  background-color: #4ac263;
  color: #ffffff;
}

.mobile-row {
  display: flex;
  flex-direction: column;
}

.mobile-row td {
  text-align: left;
}

.mobile-row th:nth-child(5),
.mobile-row td:nth-child(n + 5):nth-child(-n + 8) {
  background-color: black;
  color: white;
}

.mobile-header {
  border-top: 2px solid #4ac263;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.mobile-lastdata {
  border-bottom: 2px solid #4ac263;
}

@media (max-width: 459px) {
  .big-screen {
    display: none;
  }
}

@media (min-width: 460px) {
  .mobile-table {
    display: none;
  }
}
